Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.globalschema
Class GlobalConcept

    java.lang.Object
      unity.globalschema.GlobalConcept

    public class GlobalConcept

extends java.lang.Object

Constructor Summary
`GlobalConcept()`
`GlobalConcept(SemanticName name, java.lang.String key, GlobalConcept parent, int type, int newDepth, java.lang.String term)`
`GlobalConcept(java.lang.String name)`

Method Summary
`void` | `addChild(GlobalConcept child)`
`void` | `addSource(java.lang.Object obj)`
`java.util.HashMap` | `getChildren()`
`java.util.ArrayList` | `getChildrenArrayList()`
`int` | `getDepth()`
`java.lang.String` | `getKey()`
`SemanticName` | `getName()`
`GlobalConcept` | `getParent()`
`java.util.ArrayList` | `getSources()`
`java.lang.String` | `getTermAtDepth()`
`int` | `getType()`
`boolean` | `isProperty()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlobalConcept

    public GlobalConcept()

### GlobalConcept

    public GlobalConcept(java.lang.String name)

### GlobalConcept

    public GlobalConcept(SemanticName name,
                         java.lang.String key,
                         GlobalConcept parent,
                         int type,
                         int newDepth,
                         java.lang.String term)

Method Detail

### getTermAtDepth

    public java.lang.String getTermAtDepth()

### getName

    public SemanticName getName()

### getKey

    public java.lang.String getKey()

### getDepth

    public int getDepth()

### getParent

    public GlobalConcept getParent()

### isProperty

    public boolean isProperty()

### getType

    public int getType()

### getChildren

    public java.util.HashMap getChildren()

### getChildrenArrayList

    public java.util.ArrayList getChildrenArrayList()

### getSources

    public java.util.ArrayList getSources()

### addChild

    public void addChild(GlobalConcept child)

### addSource

    public void addSource(java.lang.Object obj)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD